%define upstream_name    Dist-Zilla-Plugin-GithubMeta
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automatically include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose) >= 1.70.0
BuildRequires: perl(MooseX::Types::URI) >= 0.30.0
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
Dist::Zilla::Plugin::GithubMeta is a the Dist::Zilla manpage plugin to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

Based on the Module::Install::GithubMeta manpage which was based on the
Module::Install::Repository manpage by Tatsuhiko Miyagawa

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.540.0-3.mga6
+ Revision: 1026210
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.540.0-2.mga6
+ Revision: 968527
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.540.0-1.mga6
+ Revision: 852847
- update to 0.54

* Sun Jul 05 2015 sander85 <sander85> 0.520.0-1.mga6
+ Revision: 851436
- update to 0.52

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-3.mga5
+ Revision: 739911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-2.mga5
+ Revision: 684450
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.460.0-1.mga5
+ Revision: 624239
- update to 0.46

* Mon Oct 21 2013 umeabot <umeabot> 0.420.0-2.mga4
+ Revision: 538443
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.420.0-1.mga4
+ Revision: 489666
- update to 0.42

* Fri Sep 27 2013 sander85 <sander85> 0.400.0-1.mga4
+ Revision: 488091
- update to 0.40

* Mon Sep 09 2013 sander85 <sander85> 0.380.0-1.mga4
+ Revision: 476653
- update to 0.38

* Sun Sep 08 2013 sander85 <sander85> 0.360.0-1.mga4
+ Revision: 475876
- update to 0.36

* Sat Aug 24 2013 sander85 <sander85> 0.320.0-1.mga4
+ Revision: 471208
- update to 0.32

* Sun Jul 21 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 456934
- update to 0.30

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 366205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.280.0-1.mga2
+ Revision: 179177
- update to 0.28

* Thu Nov 03 2011 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 162195
- update to 0.26

* Thu Oct 13 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 154274
- update to 0.22
- update to 0.20
- update to 0.16
- update to 0.14

* Wed Jun 15 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 106850
- update to 0.12

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40426
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-GithubMeta

